<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
session_start();

$botao 		= $_POST['botao'];

if ($botao == "")
{
	$botao 		= $_GET['botao'];
}

if ($botao == "")
{
    $botao         = 'gerenciar usuários';
}

if ($botao == 'alterar CRAS')
{
    $_SESSION['logon_admin'] = "setCras";
}

if ($botao == 'menu principal')
{
	//unset($_SESSION['logon_admin']);
    header('location:main.php');
  	exit;
}
if ($botao == 'gerenciar usuários')
{
	$_SESSION['logon_admin'] = "admin_gerencia";
}

//carrega arquivo de conexão
include "includes/pg_begin.php";

//recebe mensagem de erro
$msn=$_GET["msn"];

include "includes/cabecalho.php"; //carrega arquivo de cabeçalho

?>


<script language="javascript">
function ValidaUsuario()
{
    var usuario = document.getElementById('form_usuario');
    var senha = document.getElementById('form_nSenha');

    if (usuario.value == '')
    {
        alert('Preencha o usuario');
        return false;
    }
    
    if (senha.value == '')
    {
        alert('Preencha a senha');
        return false;
    }
     
    return true;
}


  function Valida()
  {
    var usuario = document.getElementById('form_usuario');

    if (usuario.value == '')
	{
        	alert('Preencha o usuario');
	        return false;
	}
    
    if (( !document.getElementsByName('form_permissao[]')[0].checked ) && ( !document.getElementsByName('form_permissao[]')[1].checked ) && ( !document.getElementsByName('form_permissao[]')[2].checked ))
    {
        alert('Informe ao menos uma permissao');
        return false;
    }

  	/*if ( (document.getElementsByName('form_perfil')[1].checked ) && (document.getElementById('form_cras').value == ""))
        {
                alert("Selecione um CRAS");
        	return false;
        }*/

    var senha = document.getElementById('form_nSenha');
    var nova_senha = document.getElementById('form_cnSenha');

	if (senha.value == '')
	{
	        alert('Preencha a senha');
	        return false;
	}

        if (nova_senha.value == '')
	{
	        alert('Confirme a senha');
	        return false;
	}

        if (nova_senha.value != senha.value)
	{
	        alert('Senhas não conferem');
	        return false;
	}

        return true;



  }

   function ValidaAlteraUsuario()
  {
         var usuario = document.getElementById('form_usuario');

    	if (usuario.value == '')
	{
        	alert('Preencha o usuario');
	        return false;
	}
    
    if (( !document.getElementsByName('form_permissao[]')[0].checked ) && ( !document.getElementsByName('form_permissao[]')[1].checked ) && ( !document.getElementsByName('form_permissao[]')[2].checked ))
    {
        alert('Informe ao menos uma permissao');
        return false;
    }

  	/*if ( (document.getElementsByName('form_perfil')[1].checked ) && (document.getElementById('form_cras').value == ""))
        {
                alert("Selecione um CRAS");
        	return false;
        }*/

    var senha = document.getElementById('form_nSenha');
    var nova_senha = document.getElementById('form_cnSenha');

	if (senha.value != '')
	{
                if (nova_senha.value == '')
		{
		        alert('Confirme a senha');
		        return false;
		}

	        if (nova_senha.value != senha.value)
		{
		        alert('Senhas não conferem');
		        return false;
		}
	}

        return true;



  }

  function habilitaOpcoes(op)
  {
  	if (op == "C")
        {
         	document.getElementsByName('form_criausuario')[0].disabled = true;
                document.getElementsByName('form_criausuario')[1].disabled = true;
                document.getElementsByName('form_criausuario')[1].checked = true;

                document.getElementsByName('form_conferencia')[0].disabled = true;
                document.getElementsByName('form_conferencia')[1].disabled = true;
                document.getElementsByName('form_conferencia')[1].checked = true;

                document.getElementById('form_cras').disabled = false;
        }
        else
        {
                document.getElementsByName('form_criausuario')[0].disabled = false;
                document.getElementsByName('form_criausuario')[1].disabled = false;
                //document.getElementsByName('form_criausuario')[0].checked = true;

                document.getElementsByName('form_conferencia')[0].disabled = false;
                document.getElementsByName('form_conferencia')[1].disabled = false;
                //document.getElementsByName('form_conferencia')[0].checked = true;

                document.getElementById('form_cras').disabled = true;
                document.getElementById('form_cras').value = "";
        }
        return;

  }

</script>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <? include "includes/barra_superior.php"; //carrega a barra superior da página ?>
  
  <tr>
    <td>
	
    <div align="right"><form action="gerencia.php" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">
      <label>      
      <!---<input name="botao" type="submit" class="botao2" id="botao" value="gerenciar usuários" />      --->
      </label>
      <label>
      <input name="botao" type="submit" class="botao2" id="botao" value="menu principal" />
      </label>

    </form></div>   </td>
  </tr>  

  <?  
  if ($_SESSION['logon_admin']=='setCras')
  {
  ?>

  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php" method="POST" enctype="application/x-www-form-urlencoded">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Edi&ccedil;&atilde;o de Usu&aacute;rio</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
            <div align="center" class="endereco"><strong>
              <?
                  switch ($msn)
                {
                case '1':
                  echo "erro na exclusão de usuário!";
                  break;
                case '2':
                  echo "usuário excluído com sucesso!";
                  break;
                case '3':
                  echo "erro na seleção de usuário!";
                  break;
                case '4':
                  echo "erro na alteração de senha!";
                  break;
                case '5':
                  echo "senhas não conferem!";
                  break;
                case '7':
                  echo "erro ao atualizar dados!";
                  break;
                case '8':
                  echo "usuário alterado com sucesso!";
                  break;
                case '9':
                  echo "usuario já cadastrado!";
                  break;
                case '10':
                  echo "erro na geração da senha do usuario!";
                  break;
                case '11':
                  echo "usuário cadastrado com sucesso!";
                  break;
                }
            ?>
            &nbsp;</strong></div></td>
        </tr>

       <tr>
          <td bgcolor="#EFEFEF"><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">

           <?
            // seleciona as cras
            $sql="select l.*, (select 1 from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' and a.permissao = 'U') as upload,  
            (select 1 from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' and a.permissao = 'A') as atualizacao,  
            (select 1 from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' and a.permissao = 'C') as consulta,
            (select max(valorpermissao) from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' ) as tema
            from logon l where l.usuario = '" . $_GET["usuario"] . "'";
            
            $result=pg_query($dbh, $sql);

             if (!$result) {
               //die("Erro na selecao do usuario" . pg_last_error());
               header('location:index.php?msn=3');
             }
             $row = pg_fetch_array($result);

             ?>

              <tr>
                <td><div align="right"><strong>Usu&aacute;rio:</strong></div></td>
                <td align="left">&nbsp;
                <input name="form_usuario_old" type="hidden" class="campos2" id="form_usuario_old" value="<? echo $row["usuario"];?>"/>

                  <input name="form_usuario" type="text" class="campos2" id="form_usuario" value="<? echo $row["usuario"];?>" tabindex="1"/></td>
                
              </tr>

              <tr>
                <td><div align="right"><strong>Perfil:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_perfil" type="radio" value="A" class="campos2" id="form_perfil" <? if ($row["tipoperfil"] == "A") echo " checked"; ?>  />Administrador
                  <input name="form_perfil" type="radio" value="C" class="campos2" id="form_perfil" <? if ($row["tipoperfil"] == "C") echo " checked"; ?> />Comum</td>
                
              </tr>
              
              <tr>
                <td><div align="right"><strong>Permiss&atilde;o:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_permissao[]" type="checkbox" value="U" class="campos2" id="form_permissao" <? if ($row["upload"] == "1") echo " checked"; ?>/>Upload
                  <input name="form_permissao[]" type="checkbox" value="A" class="campos2" id="form_permissao" <? if ($row["atualizacao"] == "1") echo " checked"; ?>/>Atualiza&ccedil;&atilde;o
                  <input name="form_permissao[]" type="checkbox" value="C" class="campos2" id="form_permissao" <? if ($row["consulta"] == "1") echo " checked"; ?>/>Consulta                  
                  </td>
               
              </tr>
              
              <tr>
                <td><div align="right"><strong>Tema:</strong></div></td>
                <td align="left">&nbsp;
                  <select name="form_tema" id="form_tema" class="campos2">
                  <option value="">Todos</option>
                  <?
            // seleciona as cras
            $sql="select * from tema order by nometema";
            $result=pg_query($dbh, $sql);

            if (!$result) {
               //die("Erro na selecao do usuario" . pg_last_error());
               header('location:index.php?msn=3');
            }

            while($row2 = pg_fetch_array($result))
            {
                ?>
                    <option value="<?echo $row2["codigotema"]?>"  <? if ($row["tema"] == $row2["codigotema"]) echo " selected"; ?> ><?echo $row2["nometema"]?></option>
                <?      } ?>
                  </select>
                  </td>
                
              </tr>
              
               <tr>
                <td colspan="2"><div align="center"><strong><i>Para alterar a senha atual do usu&aacute;rio, preencha os campos abaixo:</i></strong></div></td>
              </tr>
              <tr>
                <td><div align="right"><strong>Senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2"  value="" id="form_nSenha" tabindex="2"/></td>
                
              </tr>
              <tr>
                <td ><div align="right"><strong>Confirmar senha:</strong></div></td>
                <td >&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" value="" id="form_cnSenha" tabindex="3"/>
                  &nbsp;&nbsp;<input name="botao" type="submit" class="botao2" tabindex="4" value="enviar" id="botao" onclick="return ValidaAlteraUsuario();"/>
                  
                  &nbsp;&nbsp;<input name="submitBtn" type="button" class="botao" tabindex="4" value="voltar" onClick="history.back(-1);">
                  
                  </td>                
              </tr>

          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
        </form>         
        </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?
  }
  else
  if($_SESSION['logon_admin']=='admin_gerencia')
  {
  ?>

  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php" method="POST" enctype="application/x-www-form-urlencoded">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Cadastrar Usuários</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar CRAS!";
				  break;
                                case '8':
				  echo "usu&aacute;rio alterado com sucesso!";
				  break;
				
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

        <tr>
          <td bgcolor="#EFEFEF"><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><div align="right"><strong>Usu&aacute;rio:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_usuario" type="text" class="campos2" id="form_usuario" tabindex="1"/></td>
                
              </tr>

              <tr>
                <td><div align="right"><strong>Perfil:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_perfil" type="radio" value="A" class="campos2" id="form_perfil" checked />Administrador
                  <input name="form_perfil" type="radio" value="C" class="campos2" id="form_perfil" />Comum</td>
                
              </tr>
              
              <tr>
                <td><div align="right"><strong>Permiss&atilde;o:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_permissao[]" type="checkbox" value="U" class="campos2" id="form_permissao" />Upload
                  <input name="form_permissao[]" type="checkbox" value="A" class="campos2" id="form_permissao" />Atualiza&ccedil;&atilde;o
                  <input name="form_permissao[]" type="checkbox" value="C" class="campos2" id="form_permissao" />Consulta
                  
                  </td>
               
              </tr>
              
              <tr>
                <td><div align="right"><strong>Tema:</strong></div></td>
                <td align="left">&nbsp;
                  <select name="form_tema" id="form_tema" class="campos2">
                  <option value="">Todos</option>
                  <?
			// seleciona as cras
			$sql="select * from tema order by nometema";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

            while($row = pg_fetch_array($result))
			{
                ?>
                	<option value="<?echo $row["codigotema"]?>"><?echo $row["nometema"]?></option>
                <?      } ?>
                  </select>
                  </td>
                
              </tr>
              <tr>
                <td><div align="right"><strong>Senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2" id="form_nSenha" tabindex="2"/></td>
                
              </tr>
              <tr>
                <td ><div align="right"><strong>Confirmar senha:</strong></div></td>
                <td >&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" id="form_cnSenha" tabindex="3"/>
                &nbsp;&nbsp;<input name="botao" type="submit" class="botao2" tabindex="4" value="cadastrar" id="botao" onclick="return Valida();"/>
                </td>                
              </tr>
              
          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#003366" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
  <tr>
    <td><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" height="10"></td>
        </tr>
      <tr class="tituloFundo">
        <td width="20%" ><div align="center">Usuário</div></td>
        <td ><div align="center">Perfil</div></td>
        <td ><div align="center">Upload</div></td>
        <td ><div align="center">Atualiza&ccedil;&atilde;o</div></td>
        <td ><div align="center">Consulta</div></td>
        <td ><div align="center">Tema</div></td>
        <td ><div align="center">Ação</div></td>
      </tr>
        <?
      		// seleciona os usuarios
			$sql="select l.*, (select 1 from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' and a.permissao = 'U') as upload,  
            (select 1 from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' and a.permissao = 'A') as atualizacao,  
            (select 1 from acesso a where a.usuario = l.usuario and a.objeto = 'Tema' and a.permissao = 'C') as consulta,
            ( select max(nometema) from  acesso a  inner join tema t on cast(t.codigotema as char) = a.valorpermissao where a.usuario = l.usuario and a.objeto = 'Tema'   ) as tema
            
            from logon l order by usuario ";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

		    while($row = pg_fetch_array($result))
		    {
		?>
      <tr>
        <td><a href="?botao=alterar CRAS&usuario=<? echo $row['usuario'];?>" class="botao"><? echo $row['usuario'];?></a></td>
        <td align="center"><? echo ($row['tipoperfil'] == "A")? "Administrador" : "Comum"; ?></td>
        <td align="center"><? echo ($row['upload'] == "1")? "Sim" : "N&atilde;o"; ?></td>
        <td align="center"><? echo ($row['atualizacao'] == "1")? "Sim" : "N&atilde;o"; ?></td>
        <td align="center"><? echo ($row['consulta'] == "1")? "Sim" : "N&atilde;o"; ?></td>                
        <td align="center"><? echo ($row['tema'] == "")? "Todos" : $row['tema']; ?></td>
        <td><div align="center">
        <? if ($row['usuario'] != $_SESSION['logon']) { ?>
        <a href="rotinaGerencia.php?acao=remover&idUser=<? echo $row['usuario'];?>"><img src="images/excluir.gif" width="14" height="17" border="0" /></a>
        <? } ?>
        </div>
        </td>
      </tr>
      <? }?>
      <tr>
        <td height="10" colspan="7" class="titulos3"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?

  }

  ?>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>

<? include "includes/rodape.php"; ?>

<?
//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>
